• PGP error while installing yay


    [[email protected] ~]$ sudo pacman -S yay
    [sudo] password for user: 
    resolving dependencies...
    looking for conflicting packages...
    
    Packages (1) yay-9.2.0-1
    
    Total Installed Size:  6.31 MiB
    
    :: Proceed with installation? [Y/n] y
    (1/1) checking keys in keyring                     [####################] 100%
    (1/1) checking package integrity                   [####################] 100%
    error: yay: signature from "Antergos Build Server (Automated Package Build System) <[email protected]>" is unknown trust
    :: File /var/cache/pacman/pkg/yay-9.2.0-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
    Do you want to delete it? [Y/n] y
    error: failed to commit transaction (invalid or corrupted package (PGP signature))
    Errors occurred, no packages were upgraded.
    [[email protected] ~]$ yay
    bash: yay: command not found
    
    

    How to fix it?

  • Probably it doesn’t have much sense to install a package from the [antergos] repo, which is going to be dismissed shortly. Anyway:

    sudo pacman-key --refresh
    sudo pacman -S yay
    
  • Still same error but it does not matter, I will install Arch linux tomorrow.
    [*] Antegros :(

  • as just say refresh the keys of antergos or you can try to sudo pacman -Sw yay , if it downlouaded the package pacman -U :-)

    refrshing would be better… on straight arch you would have te same issue you have to go to the git :-)

  • @mobara said in PGP error while installing yay:

    I will install Arch linux tomorrow

    Yay is not in arch repos anyway. You need to install it from AUR then.

  • @mobara If you decide to install yay from AUR (a good choice), then I’d suggest to install not yay but yay-bin package.

    Both install exactly the same yay program, currently at version 9.2.0-1.

    But yay package needs also go language compiler to compile yay program on your computer. So the compiler is also downloaded and kept in the system. It’s more than 200 M is size. If you aren’t a go programmer, you’ll hardly ever need it.

    yay-bin package installs already compiled yay program. go compiler is not needed and is not installed. To install yay-bin package:

    yaourt -S yay-bin
    
  • well follow git you see yhow :) https://github.com/Jguer/yay

  • I just reinstalled Antergos Cinnamon and it installed yay automatically. No issues.

  • @mobara Have you tried cleaning the cache first and then refreshing the keys before you try to install it? Or did you just decide to go with Arch?

error336 installing128 pgp22 yay2 Posts 9Views 294
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.